<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tip_provincia', function (Blueprint $table) {
            $table->char('idPais', 3);
            $table->string('idProvincia', 3);
            $table->char('Descrip', 20)->default('');
            $table->boolean('Hab')->default(0);
            $table->primary(['idPais', 'idProvincia']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tip_provincia');
    }
};
